function init(hero) {
    hero.setName("Nomad");
    hero.setTier(3);
    
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:captain_americas_shield");
    
    hero.addAbilities("fiskheroes:retractable_shield", "fiskheroes:cellular_regeneration", "fiskheroes:enhanced_reflexes");
    hero.addAttribute("ATTACK_DAMAGE", 0.9, 1);
    hero.addAttribute("FALL_RESISTANCE", 7.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    
	hero.addKeyBind("SHIELD", "key.shield", 1);
	
    hero.setHasPermission(hasPermission);
	hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function hasPermission(entity, permission) {
    return permission == "THROW_SHIELD" || permission == "USE_SHIELD";
}

function shieldProfile(profile) {
	profile.addAttribute("ATTACK_DAMAGE", 0.9, 1);
    profile.addAttribute("FALL_RESISTANCE", 7.0, 0);
    profile.addAttribute("JUMP_HEIGHT", 3.0, 0);
    profile.addAttribute("PUNCH_DAMAGE", 7, 0);
    profile.addAttribute("SPRINT_SPEED", 0.4, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}
